<template>
  <q-page>
    <div class="q-ma-xl">
      <div class="row justify-center">
        <q-input
          standout
          rounded
          :model-value="searchText"
          bg-color="white"
          :input-style="{ color: '#000' }"
        >
          <template v-slot:append>
            <q-icon name="search" color="grey-10"></q-icon>
          </template>
        </q-input>
      </div>
      <div class="row q-gutter-lg q-my-md">
        <div v-for="(category, index) in categories" :key="index">
          <q-btn
            unelevated
            rounded
            no-caps
            color="white"
            text-color="grey-10"
            :label="category.label"
            :icon="category.icon"
          ></q-btn>
        </div>
      </div>
      <places-list :places="places"></places-list>
    </div>
  </q-page>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import placeService from '../services/PlaceService';
import { Category } from 'src/models/Category';
import { Place } from 'src/models/Place';
import PlacesList from '../components/PlacesList.vue';

export default defineComponent({
  name: 'IndexPage',
  components: { PlacesList },
  async created() {
    this.categories = await placeService.getCategories();
    this.places = await placeService.getPlaces();
  },
  data() {
    return {
      searchText: '',
      categories: [] as Category[],
      places: [] as Place[],
    };
  },
  methods: {},
});
</script>
